org.keycloak.saml

## Class SAMLRequestParser

- java.lang.Object
- - org.keycloak.saml.SAMLRequestParser

-     public class SAMLRequestParser
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLRequestParser()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SAMLDocumentHolder` | `parseRequestPostBinding(String samlMessage)`
    `static SAMLDocumentHolder` | `parseRequestRedirectBinding(String samlMessage)`
    `static SAMLDocumentHolder` | `parseResponseDocument(byte[] samlBytes)`
    `static SAMLDocumentHolder` | `parseResponsePostBinding(String samlMessage)`
    `static SAMLDocumentHolder` | `parseResponseRedirectBinding(String samlMessage)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.jboss.logging.Logger log

  - ### Constructor Detail

    - #### SAMLRequestParser

          public SAMLRequestParser()

  - ### Method Detail

    - #### parseRequestRedirectBinding

          public static SAMLDocumentHolder parseRequestRedirectBinding(String samlMessage)

    - #### parseRequestPostBinding

          public static SAMLDocumentHolder parseRequestPostBinding(String samlMessage)

    - #### parseResponsePostBinding

          public static SAMLDocumentHolder parseResponsePostBinding(String samlMessage)

    - #### parseResponseDocument

          public static SAMLDocumentHolder parseResponseDocument(byte[] samlBytes)

    - #### parseResponseRedirectBinding

          public static SAMLDocumentHolder parseResponseRedirectBinding(String samlMessage)

Copyright © 2020 JBoss by Red Hat. All rights reserved.